Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003768TestLinkTest Plan (builds, milestones, test assign)public2010-09-10 20:092010-10-09 08:01
Reporters_knight 
Assigned Toasimon 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS VersionLucid
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003768: Add Test Cases to Test Plan keyword problem in beta6.
DescriptionWe start using the Testlink 1.9 beta 6 and we found one error about keywords. The test case displaying not working in Add Test Cases to Test Plan page. I select only one keyword from my list and I click one test suite directory (which is contains some test cases with different keywords). And the right panel displays all test cases in selected test suite.
Steps To ReproduceSee following form post:
http://www.teamst.org/forum/viewtopic.php?f=11&t=3496&p=9655&sid=56368f1aaf991ba73b072f8c4aaf55cf#p9655 [^]
Additional InformationI made following fix for filtering problem (repleace following line in getTestSpecFromNode function if(($useFilter['keyword_id']=$filters['keyword_id'][0] > 0))) :
        /*
         * Repair filter checking
         * s_knight from Balabit IT Sec
         *
         * If the filter is not array then convert to array.
         */
        if( !is_array($filters['keyword_id']) ) {
            $filters['keyword_id'] = array($filters['keyword_id']);
        }

        if(($useFilter['keyword_id']=$filters['keyword_id'][0] > 0))
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
BrowserIE8, FF3.6.x
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0011326)
fman (administrator)
2010-09-10 20:22

Reminder sent to: asimon

can you check this ?
(0011332)
asimon (developer)
2010-09-11 16:06

I have fixed it.
(0011811)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-09-10 20:09 s_knight New Issue
2010-09-10 20:22 fman Note Added: 0011326
2010-09-11 16:06 asimon Note Added: 0011332
2010-09-11 16:06 asimon Assigned To => asimon
2010-09-11 16:06 asimon Status new => assigned
2010-09-11 16:07 asimon Status assigned => resolved
2010-09-11 16:07 asimon Fixed in Version => 1.9 RC 1
2010-09-11 16:07 asimon Resolution open => fixed
2010-10-09 08:01 fman Note Added: 0011811
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker